PHP-Nuke 6.5 Modules.PHP Username URI Parameter Cross Site Scripting Vulnerability

2014-07-01T00:00:00
ID SSV:76394
Type seebug
Reporter Root
Modified 2014-07-01T00:00:00

Description

No description provided by source.

                                        
                                            
                                                source: http://www.securityfocus.com/bid/7570/info

A cross site scripting vulnerability has been reported for PHP-Nuke. Specifically, PHP-Nuke does not sufficiently sanitize user-supplied input for the 'username' URI parameter to the modules.php script.

This may allow for theft of cookie-based authentication credentials and other attacks. 

http://[victim]/modules.php?name=Your_Account&op=userinfo&
username=bla<script>alert(document.cookie)</script>